#!/bin/sh
#
# freshclam      Start/Stop the freshclam.
#
# chkconfig: - 62 38
# description: freshclam is an update daemon for Clam AV database.
# processname: freshclam
# config: /etc/sysconfig/freshclam
# pidfile: /var/run/clamav/freshclam.pid
#
# (c) 2003/11/12 Petr@Kristof.CZ under GNU GPL 2.0+
#

# Source function library.
. /etc/init.d/functions


RETVAL=0

# Set up some common variables before we launch into what might be
# considered boilerplate by now.
prog=freshclam


start() {
	echo -n $"Starting $prog: "
	daemon /usr/bin/freshclam -d
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
	return $RETVAL
}

stop() {
	echo -n $"Stopping $prog: "
	killproc $prog
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
	return $RETVAL
}	

restart() {
  	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
  	restart
	;;
  status)
	status $prog
	;;
  condrestart)
  	[ -f /var/lock/subsys/$prog ] && restart || :
	;;
  *)
	echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
	exit 1
esac

exit $?
